[git commit] testsuite: update busybox and bzcat tests

Denys Vlasenko vda.linux at googlemail.com
Mon Feb 12 14:32:02 UTC 2018


commit: https://git.busybox.net/busybox/commit/?id=ecaec1dbecda67e5b740694878c0780eb4347d26
branch: https://git.busybox.net/busybox/commit/?id=refs/heads/master

Test scripts that use CONFIG_* variables need to source .config.
Since this wasn't being done for busybox many tests were skipped.
As a result new failures due to changes in help output were missed.

Also remove some unnecessary echos in the bzcat script.

Signed-off-by: Ron Yorston <rmy at pobox.com>
Signed-off-by: Denys Vlasenko <vda.linux at googlemail.com>
---
 testsuite/busybox.tests | 16 ++++++----------
 testsuite/bzcat.tests   | 10 ++++++----
 2 files changed, 12 insertions(+), 14 deletions(-)

diff --git a/testsuite/busybox.tests b/testsuite/busybox.tests
index 545cad5c0..beb17440c 100755
--- a/testsuite/busybox.tests
+++ b/testsuite/busybox.tests
@@ -5,6 +5,7 @@
 # Licensed under GPLv2, see file LICENSE in this source tree.
 
 . ./testing.sh
+test -f "$bindir/.config" && . "$bindir/.config"
 
 ln -s `which busybox` unknown
 
@@ -18,29 +19,24 @@ test x"$CONFIG_BUSYBOX" = x"y" \
 
 HELPDUMP=`true | busybox 2>&1 | cat`
 
-# We need to test under calling the binary under other names.
-
 optional FEATURE_VERBOSE_USAGE
-testing "busybox --help busybox" "true | busybox --help busybox 2>&1 | cat" "$HELPDUMP\n\n" "" ""
+testing "busybox --help busybox" "true | busybox --help busybox 2>&1 | cat" "$HELPDUMP\n" "" ""
 SKIP=
 
 ln -s `which busybox` busybox-suffix
 for i in busybox ./busybox-suffix
 do
-	# The gratuitous "\n"s are due to a shell idiosyncrasy:
-	# environment variables seem to strip trailing whitespace.
-
-	testing "" "$i" "$HELPDUMP\n\n" "" ""
+	testing "$i" "$i 2>&1 | cat" "$HELPDUMP\n" "" ""
 
 	testing "$i unknown" "$i unknown 2>&1" \
 		"unknown: applet not found\n" "" ""
 
-	testing "$i --help" "$i --help 2>&1" "$HELPDUMP\n\n" "" ""
+	testing "$i --help" "$i --help 2>&1" "$HELPDUMP\n" "" ""
 
 	optional FEATURE_VERBOSE_USAGE CAT
 	testing "" "$i cat" "moo" "" "moo"
-	testing "$i --help cat" "$i --help cat 2>&1 | grep print" \
-		"Concatenate FILEs and print them to stdout\n" "" ""
+	testing "$i --help cat" "$i --help cat 2>&1 | grep Print" \
+		"Print FILEs to stdout\n" "" ""
 	SKIP=
 
 	testing "$i --help unknown" "$i --help unknown 2>&1" \
diff --git a/testsuite/bzcat.tests b/testsuite/bzcat.tests
index 0ae530dc7..32c1c5d7f 100755
--- a/testsuite/bzcat.tests
+++ b/testsuite/bzcat.tests
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+test -f "$bindir/.config" && . "$bindir/.config"
+
 FAILCOUNT=0
 
 bb="busybox "
@@ -73,7 +75,7 @@ done
 
 # "input" file is bzipped file with "a\n" data
 testing "bzcat can print many files" \
-"$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \
+"bzcat input input; echo \$?" \
 "\
 a
 a
@@ -86,7 +88,7 @@ a
 
 # "input" file is bzipped zero byte file
 testing "bzcat can handle compressed zero-length bzip2 files" \
-"$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \
+"bzcat input input; echo \$?" \
 "0\n" \
 "\x42\x5a\x68\x39\x17\x72\x45\x38\x50\x90\x00\x00\x00\x00" ""
 
@@ -95,7 +97,7 @@ testing "bzcat can handle compressed zero-length bzip2 files" \
 # "input" file is compressed (.Z) file with "a\n" data
 test x"$CONFIG_UNCOMPRESS" = x"y" && \
 testing "zcat can print many files" \
-"$ECHO -ne '$hexdump' | zcat input input; echo \$?" \
+"zcat input input; echo \$?" \
 "\
 a
 a
@@ -107,7 +109,7 @@ a
 # "input" file is compressed (.Z) zero byte file
 test x"$CONFIG_UNCOMPRESS" = x"y" && \
 testing "zcat can handle compressed zero-length (.Z) files" \
-"$ECHO -ne '$hexdump' | zcat input input; echo \$?" \
+"zcat input input; echo \$?" \
 "0\n" \
 "\x1f\x9d\x90\x00" ""
 


More information about the busybox-cvs mailing list